clash-ghc-1.8.1: Clash: a functional hardware description language - GHC frontend

Copyright | (C) 2013-2016 University of Twente 2017 QBayLogic Google Inc. 2021-2022 QBayLogic B.V.
License | BSD2 (see the file LICENSE)
Maintainer | QBayLogic B.V. <devops@qbaylogic.com>
Safe Haskell | Safe-Inferred
Language | Haskell2010

Clash.GHC.GenerateBindings

Description

# Documentation

generateBindings Source #

Arguments

:: ClashOpts |
-> Ghc () | Allows us to have some initial action, such as sharing a linker state See https://github.com/clash-lang/clash-compiler/issues/1686 and https://mail.haskell.org/pipermail/ghc-devs/2021-March/019605.html
-> [FilePath] | primitives (blackbox) directories
-> [FilePath] | import directories (-i flag)
-> [FilePath] | Package database
-> HDL | HDL target
-> String |
-> Maybe DynFlags |
-> IO (ClashEnv, ClashDesign) |